## browser-history 2.4

=== Makefile ===
# simplistic makefile
# possible flags: -DNO_STRSTR if error with undefined function strstr
# targets:
#linux: 
#sunsolaris: solaris
#sunos: bsd
#decalpha:
#SGI: cc


browser-history: browser-history.c
	gcc -ansi -O -Wall browser-history.c -o browser-history \
	     -L/usr/X11R6/lib -lXmu -lX11
all:
	gcc  -ansi -O -Wall browser-history.c -o browser-history \
	     -L/usr/X11R6/lib -lXmu -lX11

cc:
	cc  -I/usr/X11R6/include -ansi -O -o browser-history browser-history.c \
	     -L/usr/X11R6/lib -lXmu -lX11

bsd:
	gcc  -ansi -O -Wall -DBSD browser-history.c -o browser-history \
	     -L/usr/X11R6/lib -lXmu -lX11

solaris:
	gcc  -ansi -O -Wall browser-history.c -o browser-history \
	     -R/usr/X11R6/lib \
	     -L/usr/X11R6/lib -lXmu -lX11 -ldl -lsocket -lnsl 


debug :
	gcc -DDEBUG -ansi -g -Wall browser-history.c -o browser-history \
	     -L/usr/X11R6/lib -lXmu -lX11

tar:
	cd ..;tar cfvz browser-history/browser-history.tgz `while read L;do echo  "browser-history/$L";done < browser-history/FILES_DIST`
shar:
	fshar < FILES | gzip > browser-history.shar.gz

clean:
	rm browser-history

## browser-history 2.8

=== Makefile ===
# simplistic makefile
# possible flags: -DNO_STRSTR if error with undefined function strstr
# targets:
#linux: 
#sunsolaris: solaris
#sunos: bsd
#decalpha:
#SGI: cc


browser-history: browser-history.c
	gcc -ansi -O -Wall -I/usr/X11R6/include browser-history.c \
             -o browser-history -L/usr/X11R6/lib -lXmu -lX11
all:
	gcc  -ansi -O -Wall -I/usr/X11R6/include browser-history.c
             -o browser-history -L/usr/X11R6/lib -lXmu -lX11

cc:
	cc  -I/usr/X11R6/include -ansi -O -o browser-history browser-history.c \
	     -L/usr/X11R6/lib -lXmu -lX11

bsd:
	gcc  -I/usr/X11R6/include -ansi -O -Wall -DBSD browser-history.c -o browser-history \
	     -L/usr/X11R6/lib -lXmu -lX11

solaris:
	gcc  -I/usr/X11R6/include -ansi -O -Wall browser-history.c -o browser-history \
	     -R/usr/X11R6/lib \
	     -L/usr/X11R6/lib -lXmu -lX11 -ldl -lsocket -lnsl 


debug :
	gcc -I/usr/X11R6/include -DDEBUG -ansi -g -Wall browser-history.c -o browser-history \
	     -L/usr/X11R6/lib -lXmu -lX11

tar:
	cd ..;tar cfvz browser-history/browser-history.tgz `cat browser-history/FILES_DIST`
shar:
	fshar < FILES | gzip > browser-history.shar.gz

clean:
	rm browser-history

=== debian/changelog ===
browser-history (2.8-16) unstable; urgency=medium

  * Switch to git; add Vcs-* fields.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Jan 2014 11:05:36 +0000

browser-history (2.8-15) unstable; urgency=low

  * Honour 'dpkg-buildflags --get CPPFLAGS' (thanks, Simon Ruderich; closes:
    #667926).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Apr 2012 09:28:51 +0100

browser-history (2.8-14) unstable; urgency=low

  * Allow cross-compiling, using dpkg-buildflags along the way.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Apr 2012 12:30:38 +0100

browser-history (2.8-13) unstable; urgency=low

  * Convert to source format 3.0 (quilt).
  * Policy version 3.8.4: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Feb 2010 01:28:40 +0000

browser-history (2.8-12) unstable; urgency=low

  * Upgrade to debhelper v7.
  * Policy version 3.8.2: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Aug 2009 22:47:20 +0100

browser-history (2.8-11) unstable; urgency=low

  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Build-depend on x11proto-core-dev rather than x-dev (thanks, Lintian;
    closes: #515366).

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Feb 2009 20:08:32 +0000

browser-history (2.8-10) unstable; urgency=low

  * Fix debian/watch to stop prepending "history-" to the real upstream
    version number.
  * Use debhelper v5.
  * Change doc-base section to new hierarchy (now Network/Web Browsing).
  * Don't ignore errors from 'make clean' other than the Makefile not
    existing.
  * Use 'rm -f' in 'make clean'.
  * Policy version 3.7.3: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Apr 2008 12:54:45 +0100

browser-history (2.8-9) unstable; urgency=low

  * Fix typos in browser-history(1) and browser-history.html (thanks, A
    Costa; closes: #304317).
  * #include <stdlib.h> for exit().
  * Remove/update declarations conflicting with <stdlib.h>; the incorrect
    memory allocation prototypes may have broken on some 64-bit systems.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Apr 2005 12:48:08 +0100

browser-history (2.8-8) unstable; urgency=low

  * Upgrade to debian/watch format version 2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Feb 2005 00:32:33 +0000

browser-history (2.8-7) unstable; urgency=low

  * Build-depend on x-dev, libx11-dev, and libxmu-dev rather than the
    transitional xlibs-dev package.
  * Policy version 3.6.1: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Nov 2004 13:35:18 +0000

browser-history (2.8-6) unstable; urgency=low

  * debian/copyright, debian/watch: Update download URLs.
  * Clean up browser-history(1): fix overly long line length and dash/hyphen
    confusion.
  * debian/control: Tweak short description to keep lintian happy.
  * Policy version 3.6.0: no changes required.
  * Remove Emacs local variables from this changelog.

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Aug 2003 01:18:36 +0100

browser-history (2.8-5) unstable; urgency=low

  * Policy version 3.5.7:
    - Drop DEB_BUILD_OPTIONS=debug; support noopt instead.
  * The binary-indep rule doesn't need to build anything.

 -- Colin Watson <cjwatson@debian.org>  Sat,  7 Sep 2002 20:10:10 +0100

browser-history (2.8-4) unstable; urgency=low

  * Policy version 3.5.1: no changes required.
  * Use debhelper v3.
  * perl-modules contains CGI.pm now, so suggest it as well as
    libcgi-pm-perl.
  * Update maintainer address in copyright file and
    browser-history-search.cgi.

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Feb 2001 12:18:23 +0000

browser-history (2.8-3) unstable; urgency=low

  * New maintainer address. Thanks to Oliver Bolzer for his sponsorship
    until now.
  * Standards-Version: 3.5.0: no changes required.
  * Make sure the i386 build is linked against xlibs.

 -- Colin Watson <cjwatson@debian.org>  Thu,  8 Feb 2001 15:50:57 +0000

browser-history (2.8-2) unstable; urgency=low

  * New maintainer (closes: #68162).
  * Build-depend on sharutils (we use uudecode).
  * Standards-Version: 3.2.1: support DEB_BUILD_OPTIONS.
  * Build with debhelper v2, and turn off DH_VERBOSE.
  * debian/rules: Various cleanups.
  * Build with -O2 rather than -O.
  * Upgraded to optional. It's actually that already in the override file.

  * Install upstream changelog, extracted from browser-history.html.
  * Get rid of *_spi entries in our diff to the above that look suspiciously
    like duplicates of Debian changelog entries.
  * Don't change browser-history.c's RCS ID, and back out the patch that
    worked around this by filling in the version number directly.
  * /usr/doc -> /usr/share/doc in a few bits of documentation.
  * debian/control: We don't actually work with Mozilla at the moment (bugs
    have been filed), but Amaya works fine.
  * Use doc-base rather than having a menu file with needs=dwww.
  * debian/watch: New-style syntax.
  * Removed add-log-mailing-address variable from this changelog.
  * debian/copyright: Updated.
  * General cosmetic fixes.

  * Create ~/.browser-history with mode 700 - umask, not mode 777 - umask.
  * Added Google to the default list of excluded URLs.
  * CGI shell scripts scare me. Rewrote browser-history-search.cgi in
    taint-mode Perl. This needs libcgi-pm-perl (now suggested). Installed
    this as an example rather than directly in the documentation directory.
  * Updated and applied a patch from J C Lawrence <claw@kanga.nu> to make
    the -checkpoint option save a list of all URLs currently being viewed to
    the history file. This is useful for saving state before visiting, say,
    a Java-heavy page. The original patch is in debian/checkpoint.patch.

 -- Colin Watson <cjw44@flatline.org.uk>  Sat, 13 Jan 2001 22:01:56 +0000

browser-history (2.8-1) unstable; urgency=medium

  * New upstream release. (closes: #65173)
  * This version fixes the Y2K bug. (closes: #56238)


=== debian/control ===
Source: browser-history
Section: web
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 7.0.50), x11proto-core-dev, libx11-dev, libxmu-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/users/cjwatson/browser-history.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cjwatson/browser-history.git

Package: browser-history
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cgiwrap | apache | apache-ssl, perl-modules | libcgi-pm-perl
Description: User daemon that tracks URLs looked at and logs them
 Browser-history came from the will to overcome a Netscape bug: there is no
 global history, and if you close a window, its whole history is lost. For
 people browsing lots of sites, having the possibility of backtracking to
 where one has been before means that you don't have to put everything in
 your bookmarks file. If you are not sure if a site may be worth
 remembering, don't add it in your bookmarks. If you need it later, just
 browse your history files.
 .
 It works with: Netscape Navigator, Arena, and Amaya. Support for
 `browser-history' can easily be added to other browsers, provided you can
 program and have the browser sources.
 .
 A manual page and simple documentation will be installed in
 /usr/share/doc/browser-history/browser-history.html, along with a simple
 CGI interface to grep the history log and display the result.  The optional
 CGI program requires `cgiwrap' or Apache configured with `suexec'.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS :=
else
CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif
FLAGS := CFLAGS='$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS) -Wall' \
	 LDFLAGS='$(shell dpkg-buildflags --get LDFLAGS)'

override_dh_auto_build:
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(CROSS) $(FLAGS)
else
	$(MAKE) debug $(CROSS) $(FLAGS)
endif

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog-upstream.html

=== debian/watch ===
version=2
http://koala.ilog.fr/ftp/pub/browser-history/browser-history-(.*)\.tgz debian uupdate
